# MOPAC Method Performance Benchmark

![Benchmark Results](benchmark_plot.svg)

## Method Performance Summary

| Function        |   Count |   Mean Time (ms) |   Std Dev (ms) |   Min Time (ms) |   Max Time (ms) |
|:----------------|--------:|-----------------:|---------------:|----------------:|----------------:|
| API             |      60 |          1439.14 |        3187.12 |           1.254 |         9553.06 |
| Classical       |      60 |          1786.91 |        3918.56 |           9.937 |        13389.6  |
| MopacInput      |      60 |          1685.34 |        3600.04 |           9.147 |        11205.2  |
| MopacInput_disk |      60 |          1899.53 |        4066.6  |           9.746 |        12845.2  |

## Statistics by Molecule

### F (2 atoms)

| Function        |   Measurements |    Mean |   Std Dev |    Min |     Max |
|:----------------|---------------:|--------:|----------:|-------:|--------:|
| API             |             10 |  1.4345 |    0.0761 | 1.3664 |  1.6335 |
| Classical       |             10 | 17.7482 |    6.7332 | 9.9369 | 29.3413 |
| MopacInput      |             10 | 13.8509 |    6.7762 | 9.1474 | 30.1996 |
| MopacInput_disk |             10 | 13.273  |    6.2924 | 9.746  | 30.5322 |

### C (5 atoms)

| Function        |   Measurements |    Mean |   Std Dev |     Min |     Max |
|:----------------|---------------:|--------:|----------:|--------:|--------:|
| API             |             10 |  1.3076 |    0.0594 |  1.2544 |  1.4242 |
| Classical       |             10 | 12.0804 |    2.7158 | 10.5168 | 19.7394 |
| MopacInput      |             10 | 16.9123 |    9.5989 | 10.2691 | 41.8176 |
| MopacInput_disk |             10 | 22.817  |   24.4383 | 10.419  | 89.5407 |

### CC(=O)O (8 atoms)

| Function        |   Measurements |    Mean |   Std Dev |     Min |     Max |
|:----------------|---------------:|--------:|----------:|--------:|--------:|
| API             |             10 |  7.8219 |    0.7817 |  7.4226 | 10.0204 |
| Classical       |             10 | 28.9724 |    6.4198 | 22.5893 | 35.5546 |
| MopacInput      |             10 | 30.7662 |   12.8629 | 21.4329 | 63.2396 |
| MopacInput_disk |             10 | 31.0655 |   17.9173 | 21.5894 | 67.2077 |

### c1ccccc1 (12 atoms)

| Function        |   Measurements |    Mean |   Std Dev |     Min |     Max |
|:----------------|---------------:|--------:|----------:|--------:|--------:|
| API             |             10 |  3.5366 |    0.063  |  3.4668 |  3.6914 |
| Classical       |             10 | 31.0232 |   11.7168 | 20.7461 | 58.4317 |
| MopacInput      |             10 | 31.6212 |   17.4637 | 18.9339 | 77.5665 |
| MopacInput_disk |             10 | 25.646  |    6.9349 | 19.1957 | 38.8077 |

### CCc1ccccc1CC (24 atoms)

| Function        |   Measurements |    Mean |   Std Dev |     Min |      Max |
|:----------------|---------------:|--------:|----------:|--------:|---------:|
| API             |             10 | 125.735 |    6.3965 | 111.662 |  134.954 |
| Classical       |             10 | 309.788 |   71.7718 | 218.573 |  433.76  |
| MopacInput      |             10 | 419.225 |  206.27   | 203.76  |  806.137 |
| MopacInput_disk |             10 | 480.022 |  343.407  | 222.063 | 1297.03  |

### C[C@H](CCCC(C)C)[C@H]1CC[C@@H]2[C@@]1(CC[C@H]3[C@H]2CC=C4[C@@]3(CC[C@@H](C4)O)C)C (74 atoms)

| Function        |   Measurements |     Mean |   Std Dev |     Min |      Max |
|:----------------|---------------:|---------:|----------:|--------:|---------:|
| API             |             10 |  8494.98 |   443.295 | 8036.88 |  9553.06 |
| Classical       |             10 | 10321.8  |  1858.92  | 8366.51 | 13389.6  |
| MopacInput      |             10 |  9599.67 |  1124.05  | 8235.61 | 11205.2  |
| MopacInput_disk |             10 | 10824.4  |  1379.16  | 8461.36 | 12845.2  |

